part of 'app_test.dart';

class WelcomeTest {
  static Future signInToSignUp() async {
    patrolWidgetTest(
      'Sign-In to Sign-Up',
      (PatrolTester tester) async {
        $ = tester;
        $.tester.printToConsole('Welcome Test - Sign-In to Sign-Up');
        await _unlogged();
        await $.pumpWidgetAndSettle(const App());

        await _navigateToSignIn($);
        await _navigateToSignUp($);
      },
    );
  }

  static Future signUpToSignIn() async {
    patrolWidgetTest(
      'Sign-Up to Sign-In',
      (PatrolTester tester) async {
        $ = tester;
        $.tester.printToConsole('Welcome Test - Sign-Up to Sign-In');
        await _unlogged();
        await $.pumpWidgetAndSettle(const App());
        await _navigateToSignUp($);
        await _navigateToSignIn($);
      },
    );
  }
}
